Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.hawk
Class HawkParameters

    java.lang.Object
      org.bouncycastle.pqc.crypto.hawk.HawkParameters

public class HawkParameters
extends java.lang.Object

Parameter set for the Hawk PQC signature scheme. The three NIST submission variants are exposed as the `Hawk_256`, `Hawk_512` and `Hawk_1024` constants.

Field Summary
`static HawkParameters` | `Hawk_1024`
`static HawkParameters` | `Hawk_256`
`static HawkParameters` | `Hawk_512`

Constructor Summary
`HawkParameters(java.lang.String name, int q, int logn, int maxLogn, long q0I, short[] maxBlSmall, short[] maxBlLarge, short[] wordWin, int reduceBits, byte[] coeffFgLimit, short[] minSaveFg)`

Method Summary
`java.lang.String` | `getName()`
`int` | `getPrivateKeySize()`
`int` | `getPublicKeySize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Hawk_256

    public static final HawkParameters Hawk_256

### Hawk_512

    public static final HawkParameters Hawk_512

### Hawk_1024

    public static final HawkParameters Hawk_1024

Constructor Detail

### HawkParameters

    public HawkParameters(java.lang.String name,
                          int q,
                          int logn,
                          int maxLogn,
                          long q0I,
                          short[] maxBlSmall,
                          short[] maxBlLarge,
                          short[] wordWin,
                          int reduceBits,
                          byte[] coeffFgLimit,
                          short[] minSaveFg)

Method Detail

### getName

    public java.lang.String getName()

### getPrivateKeySize

    public int getPrivateKeySize()

### getPublicKeySize

    public int getPublicKeySize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD